STRXFRM(3)

NAME
strxfrm - transform a string under locale

SYNOPSIS
#include <string.h>
size_t
strxfrm(char *dst, const char *src, size_t n);

DESCRIPTION
The strxfrm() function transform null-terminating string pointed by src according to the current locale collation if any, then copied not more than n-1 characters of the result string into dst, ending it whith null character and return result length. Comparing two strings using strcmp() after strxfrm() is equal to comparing two original strings with strcoll().

BUGS
Sometimes biheviour of this function is unpredicatable.

SEE ALSO
setlocale(3), strcmp(3), strcoll(3)

STANDARDS
The strxfrm() function conforms to ansiC.